### Signal

# Ide Object::destroy

#### Declaration

    void
    destroy (
      IdeObject* self,
      gpointer user_data
    )

#### Description

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

If you do not want to receive the “destroy” signal, then you must manually remove the object from the tree using `ide_object_remove()` while holding a reference to the object.

Default handler: | The default handler is called after the handlers added via `g_signal_connect_after()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal
Available since: | 3.32